#! /usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
import os
from distutils.core import setup


if __name__ == "__main__":
    # Check Python version
    if sys.version_info[:2] < (3, 0):
        print("pyAwale requires version 3.0 or later of python!")
        sys.exit(1)

    #
    # Setup.
    #
    setup(name='pyawale',
          version='0.5.3',
          description='A simple Awalé game',
          author='MiKael NAVARRO',
          author_email='klnavarro@mailo.com',
          contact='MiKael NAVARRO',
          contact_email='klnavarro@mailo.com',
          long_description='The count-and-capture official board game of Africa.',
          license='GNU General Public License',
          url='http://iwar.klnavarro.fr/spip/article13.html',
          download_url='httpc://launchpad.net/pyawale',
          platforms='Theorically all platforms.',
          package_dir={'pyawale': 'src'},
          packages=['pyawale'],
          scripts=['src/pyawale.py'],
          package_data={'pyawale': ['images/*.png', 'images/*.ttf']},
          data_files=[('share/doc/pyawale', ['AUTHORS', 'COPYING', 'LICENCE',
                                             'README', 'LISEZMOI', 'INSTALL',
                                             'NEWS', 'ChangeLog', 'TODO']),
                      ('share/doc/pyawale/docs', ['docs/pyawale.rest',
                                                  'docs/awale_module.rest',
                                                  'docs/awale_algos.rest',
                                                  'docs/pyawale.html',
                                                  'docs/pyawale_intro.jpg',
                                                  'docs/pyawale_gui.jpg',
                                                  'docs/pyawale_end.jpg']),
                      ('share/applications', ['pyawale.desktop']),
                      ('share/pixmaps', ['docs/pyawale.png']),
                      ('share/doc/pyawale/tools', [os.path.join("tools", f) for f in os.listdir("tools") if not f.endswith('~') and not f.endswith('.log')])],
          classifiers=['Development Status :: 5 - Production/Stable',
                       'Intended Audience :: End Users/Desktop',
                       'Environment :: Other Environment',
                       'License :: OSI Approved :: GNU General Public License (GPL)',
                       'Operating System :: OS Independent',
                       'Programming Language :: Python',
                       'Topic :: Games/Entertainment :: Puzzle Game']
          )
