#! /usr/bin/python3 -O
# -*- coding: utf-8 -*-
#
# A simple Awalé game.
# Copyright (C) 2007 MiKael NAVARRO
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""A simple Awalé game.
Copyright (C) 2007 MiKael NAVARRO

The count-and-capture official board game of Africa.

Test Awale module and docstrings.
Rk: must be launched in optimization mode.

"""

# Specific variables for pydoc
__author__ = "MiKael NAVARRO <klnavarro@mailo.com>"

# Include directives
import sys
import os
#import glob

import doctest
import unittest


#
# Main test function.
#
def test():
    suite = unittest.TestSuite()

    # First, verify doc tests
    #doc_text_suite = doctest.DocTestSuite("awale")
    #suite.addTest(doc_text_suite)

    lib_path = os.path.join(os.path.dirname(os.path.abspath(__file__)),
                            os.pardir, "src")
    sys.path.append(lib_path)

    for doc_file in ["../docs/pyawale.rest",
                     "../docs/awale_module.rest", "../docs/awale_algos.rest"]:
        doc_file_suite = doctest.DocFileSuite(doc_file, module_relative=True, )
        suite.addTest(doc_file_suite)

    # Then, launch test suite
    campagne = unittest.TextTestRunner(verbosity=2)
    campagne.run(suite)


#
# External entry point.
#
if __name__ == "__main__":
    test()
